Page MenuHomePhabricator

Deploy more logos for new DIP pilot wikis
Closed, ResolvedPublic

Description

Description

We have several new Wikipedia projects joining the DIP pilot soon. We should make sure we have logos and wordmarks for them so that when they switch over everything looks nice.

projecttagline SVGwordmark SVGicon SVG
Bengali Wikipedia (height:15 width:108) (height:25 width:113)n/a
Venetian WikipediaN/AN/A
Wikimedia Incubatorn/a
incubator-icon.png (100×100 px, 6 KB)
Turkish Wikivoyagen/an/a
bangla wikivoyagen/an/a

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedovasileva
ResolvedVolker_E
Resolvedphuedx
Resolved eprodromou
ResolvedEvanProdromou
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
Resolved eprodromou
ResolvedPeter.ovchyn
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolved holger.knust
Resolved holger.knust
Resolved holger.knust
OpenNone
OpenNone
OpenNone
ResolvedSpikeovasileva
Resolvedphuedx
ResolvedJdrewniak
Resolvedalexhollender_WMF
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdrewniak
ResolvedJdrewniak
ResolvedNiedzielski
ResolvedMNeisler
ResolvedMNeisler
Resolvedovasileva
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvednray
OpenNone
Resolvedovasileva
ResolvedVolker_E
OpenNone
ResolvedStevenSun
Resolvedovasileva
Resolvedovasileva
ResolvedEdtadros
DeclinedNone
DeclinedNone
ResolvedJdrewniak
ResolvedJdrewniak
Resolved nnikkhoui
Resolved nnikkhoui
ResolvedJdlrobson
Duplicateovasileva
ResolvedMNeisler
ResolvedVolker_E
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvedsbassett
Resolvedjlinehan
Openjlinehan
ResolvedNone
Resolvedjlinehan
Resolvedjlinehan
ResolvedOttomata
ResolvedOttomata
ResolvedSpikeJdlrobson
Resolvedjlinehan
Openjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
ResolvedJdlrobson
Resolvedjlinehan
Resolvedjlinehan
Opendr0ptp4kt
Resolvedcolewhite
DeclinedNone
ResolvedNone
Resolvedjlinehan
OpenNone
Openjlinehan
Openovasileva
Resolvedphuedx
ResolvedGoalovasileva
ResolvedJdlrobson
DuplicateNone
OpenSpikeNone
Resolvedalexhollender_WMF

Event Timeline

alexhollender_WMF renamed this task from Ensure we have (or create) logos and wordmarks for new pilot wikis to Ensure we have/create logos and wordmarks for new DIP pilot wikis.Jan 27 2021, 5:18 PM
alexhollender_WMF updated the task description. (Show Details)

@alexhollender - note that the Incubator logos depend on which project the wiki will eventually be. Examples:

@alexhollender, Please see T273669 for Bengali wordmark & tagline. Again if you need any correction & update SVG code, use this files: T273669#6798642.

@alexhollender, Please see T273669 for Bengali wordmark & tagline. Again if you need any correction & update SVG code, use this files: T273669#6798642.

@alexhollender - perhaps we can merge T273669: Update the Bangla Wikipedia wordmark (mobile and new Vector) and add a tagline (new Vector) into this task if no changes need to be made.

Seems this is already done - noting the Venetian and Bengali are missing taglines.

@Jdlrobson here are the missing taglines here is the Venetian tagline, please see the comment below for the bn wordmark and tagline

vec
In T273085#6892010, @alexhollender wrote:

@Jdlrobson here are the missing taglines:
...

Hi, bn file size is too big (25KB) compared to the one i provided (11 KB) and font size looks bit small. Please see this comment: T273669#6798642

Seems this is already done - noting the Venetian and Bengali are missing taglines.

We also need to update bn wordmark. Current wordmark is based on old version. Last year we had consensus (see 1, 2) to update bnwiki's logo, we already updated it for desktop version, we need to do it for mobile (& new vector) too.

Please resolve T273669. Use the wordmark & tagline i provided.

details for deployment config:
wordmark

  • height:25 width:113
  • Project bn.wikipedia.org

tagline

  • height:15 width:108
  • Project bn.wikipedia.org

@Aftabuzzaman my apologies — I forgot about the updates to the bn wordmark and tagline. We will use the SVGs you've provided. Thanks so much

Doesn't seem ready to me...

Jdlrobson renamed this task from Ensure we have/create logos and wordmarks for new DIP pilot wikis to Deploy more logos for new DIP pilot wikis.Mar 8 2021, 7:22 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

@alexhollender Wikimedia Incubator icon is still needed. (derived from https://commons.wikimedia.org/wiki/File:Incubator-logo.svg)
Are there any others we need to update next time round that you know of?

@alexhollender Wikimedia Incubator icon is still needed. (derived from https://commons.wikimedia.org/wiki/File:Incubator-logo.svg)
Are there any others we need to update next time round that you know of?

no others that I know of currently. Just added an SVG and PNG of the Incubator icon to the task description. Let me know if you wanted something different than that.

Change 669998 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Logo updates

https://gerrit.wikimedia.org/r/669998

Change 669998 merged by jenkins-bot:
[operations/mediawiki-config@master] Logo updates

https://gerrit.wikimedia.org/r/669998

Mentioned in SAL (#wikimedia-operations) [2021-03-09T00:08:26Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/: ce82e0cd6015b362f9acc8e90d300cf88738cf98: Logo updates (T273085) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2021-03-09T00:09:46Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: ce82e0cd6015b362f9acc8e90d300cf88738cf98: Logo updates (T273085) (duration: 00m 58s)

Okay this is all deployed. @alexhollender feel free to review all the tasks in the description and move to sign off if everything looks hunky-dory.

@Jdlrobson looks like Incubator does have a wordmark — I've just added it to the task description. Lmk if it's too late and you'd rather a separate task.

For some reason, i am seeing old version here: https://bn.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-bn.svg (this should look like this).

Caching is pretty aggressive for logos. You can append ?cachebuster=1 to the end of the URI and that should show you the new one.

looks good. seems like the Wikimedia Incubator wordmark didn't make it in here. Perhaps we add this to our list for future logo deployments? @Jdlrobson @ovasileva

currentcorrect
Screen Shot 2021-05-25 at 4.44.20 PM.png (250×417 px, 31 KB)
Screen Shot 2021-05-25 at 4.44.37 PM.png (210×271 px, 17 KB)
In T273085#7112730, @alexhollender wrote:

looks good. seems like the Wikimedia Incubator wordmark didn't make it in here. Perhaps we add this to our list for future logo deployments? @Jdlrobson @ovasileva

currentcorrect
Screen Shot 2021-05-25 at 4.44.20 PM.png (250×417 px, 31 KB)
Screen Shot 2021-05-25 at 4.44.37 PM.png (210×271 px, 17 KB)

Not sure I understand. These screenshots are showing modern and legacy. I see the incubator logo on both. What is the ask here?

Ah: As I understood it you are asking for the text in modern (first screenshot) to show the wordmark,.svg in the table above rather than text. Is that correct?

I guess the correct screenshot is wrong which is what confused me.

@Jdlrobson ah yea sorry for the confusion there — in legacy there is an SVG for

WIKIMEDIA
INCUBATOR

and currently in new vector we just have the plain text for that